summaryrefslogtreecommitdiff
path: root/tests/cert-tests/openpgp-selfsigs
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cert-tests/openpgp-selfsigs')
-rwxr-xr-xtests/cert-tests/openpgp-selfsigs57
1 files changed, 0 insertions, 57 deletions
diff --git a/tests/cert-tests/openpgp-selfsigs b/tests/cert-tests/openpgp-selfsigs
deleted file mode 100755
index 1e7c50d09f..0000000000
--- a/tests/cert-tests/openpgp-selfsigs
+++ /dev/null
@@ -1,57 +0,0 @@
-#!/bin/sh
-
-# Copyright (C) 2010, 2012 Free Software Foundation, Inc.
-#
-# Author: Nikos Mavrogiannopoulos
-#
-# This file is part of GnuTLS.
-#
-# GnuTLS is free software; you can redistribute it and/or modify it
-# under the terms of the GNU General Public License as published by the
-# Free Software Foundation; either version 3 of the License, or (at
-# your option) any later version.
-#
-# GnuTLS is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
-# General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with GnuTLS; if not, write to the Free Software Foundation,
-# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-
-set -e
-
-srcdir="${srcdir:-.}"
-CERTTOOL="${CERTTOOL:-../../src/certtool${EXEEXT}}"
-
-if ! test -x "${CERTTOOL}"; then
- exit 77
-fi
-
-unset RETCODE || true
-
-fail() {
- echo "Failure: $1" >&2
- RETCODE=${RETCODE:-${2:-1}}
-}
-
-echo "Checking OpenPGP certificate self verification"
-
-("${CERTTOOL}" --inraw --pgp-certificate-info --infile "${srcdir}/data/selfsigs/alice.pub" \
- | grep "^Self Signature verification: ok" > /dev/null) || \
- fail "Self sig Verification should have succeeded!"
-
-("${CERTTOOL}" --inraw --pgp-certificate-info --infile "${srcdir}/data/selfsigs/alice-mallory-badsig18.pub" \
- | grep "^Self Signature verification: failed" > /dev/null) || \
- fail "Self sig Verification should have failed!"
-
-("${CERTTOOL}" --inraw --pgp-certificate-info --infile "${srcdir}/data/selfsigs/alice-mallory-irrelevantsig.pub" \
- | grep "^Self Signature verification: failed" >/dev/null) || \
- fail "Self sig Verification should have failed!"
-
-("${CERTTOOL}" --inraw --pgp-certificate-info --infile "${srcdir}/data/selfsigs/alice-mallory-nosig18.pub" \
- | grep "^Self Signature verification: failed" >/dev/null) || \
- fail "Self sig Verification should have failed!"
-
-exit ${RETCODE:-0}